package com.zcloud.service.check.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.check.ListDisableTimeMapper;
import com.zcloud.service.check.ListDisableTimeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：清单禁用时间段
 * 作者：luoxiaobao
 * 时间：2021-06-16
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class ListDisableTimeServiceImpl implements ListDisableTimeService {

	@Autowired
	private ListDisableTimeMapper listdisabletimeMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		listdisabletimeMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		listdisabletimeMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		listdisabletimeMapper.edit(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void editEndTime(PageData pd)throws Exception{
		listdisabletimeMapper.editEndTime(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return listdisabletimeMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return listdisabletimeMapper.listAll(pd);
	}

	/**查找完整数据
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listByFull(PageData pd)throws Exception{
		return listdisabletimeMapper.listByFull(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return listdisabletimeMapper.findById(pd);
	}

	/**通过清单获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findByList(PageData pd)throws Exception{
		return listdisabletimeMapper.findByList(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		listdisabletimeMapper.deleteAll(ArrayDATA_IDS);
	}

}

